AOZ Studio Beta - Bug #73

Colour N,C causes Internal error at runtime.
01/23/2020 08:24 PM - Brian Flanagan

Status: Closed Start date: 01/23/2020
Priority: Normal Due date: 01/31/2020
Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3.2

Affected version: 0.9.3.1

Description

Example: (fails at line 3... the first Colour statement)

Screen Open 0,320,200,64,Lowres
Flash Off : Curs Off : Cls O
Colour 1,$A74

Colour 0,0

Pen 0 : Paper 1

Print "Test"

History

#1 - 01/23/2020 08:49 PM - Baptiste Pillot

source : https://www.amos?2.fr/ide/Amos2/Ide/Program/444
run : https://www.amos2.fr/run/tickleman/73/

compile : OK

error during execution (popup) :

Internal error at line: 4, column: 1.
Program ended successfully

e console :

p is not defined
aoz.Jjs:257 ReferenceError: p is not defined
at Screen.setColour (screen.js:650)
at Application.blocks.<computed> (application.js:47)
at doUpdate (aoz.js:246)
aoz.js:588 Internal error at line: 4, column: 1.
aoz.js:590 Program ended successfully.

#2 - 01/23/2020 08:49 PM - Baptiste Pillot

- Assignee set to Francois Lionet

#3 - 01/24/2020 06:38 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!

#4 - 02/01/2020 07:29 AM - Baptiste Pillot
- Due date set to 01/31/2020
- Status changed from Resolved to Closed

- Target version set to 0.9.3.2

Yes, it works.
